Magick::PathQuadraticCurvetoArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions

| PathQuadraticCurvetoArgs (void)
| PathQuadraticCurvetoArgs (double x1_, double y1_, double x_, double y_)
| PathQuadraticCurvetoArgs (const PathQuadraticCurvetoArgs &original_)
| ~PathQuadraticCurvetoArgs (void)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2643 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 1964 of file Drawable.cpp.

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1972 of file Drawable.cpp.

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | const PathQuadraticCurvetoArgs & | original_ | ) |

Definition at line 1983 of file Drawable.cpp.

Magick::PathQuadraticCurvetoArgs::~PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 1991 of file Drawable.cpp.

## Member Function Documentation

void Magick::PathQuadraticCurvetoArgs::x | ( | double | x_ | ) |

inline

Definition at line 2673 of file Drawable.h.

double Magick::PathQuadraticCurvetoArgs::x | ( | void |  | ) | const

inline

Definition at line 2677 of file Drawable.h.

void Magick::PathQuadraticCurvetoArgs::x1 | ( | double | x1_ | ) |

inline

Definition at line 2655 of file Drawable.h.

double Magick::PathQuadraticCurvetoArgs::x1 | ( | void |  | ) | const

inline

Definition at line 2659 of file Drawable.h.

void Magick::PathQuadraticCurvetoArgs::y | ( | double | y_ | ) |

inline

Definition at line 2682 of file Drawable.h.

double Magick::PathQuadraticCurvetoArgs::y | ( | void |  | ) | const

inline

Definition at line 2686 of file Drawable.h.

void Magick::PathQuadraticCurvetoArgs::y1 | ( | double | y1_ | ) |

inline

Definition at line 2664 of file Drawable.h.

double Magick::PathQuadraticCurvetoArgs::y1 | ( | void |  | ) | const

inline

Definition at line 2668 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp